<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$mail = $bbdd->checkParameter('email',false,true,true);
$name = $bbdd->checkParameter('name');
$pass = $bbdd->checkParameter('pass');

//Comprova que s'hagin validat els paràmetres
if ($mail !== 0 && $mail !== 2 && $name !== 0 && $pass !== 0) {	
	//Comprova si existeix un usuari amb l'e-mail introduït
	$exist = $bbdd->selectUnique("count(*)","Users","userEmail = '".$mail."'");	
	if(!$exist) {
		//Realitza la consulta
		$result = $bbdd->insert("Users","userName,userEmail,userPass", "'".$name."','".$mail."','".$pass."'");
	} else {	
		//Resposta l'e-mail ja existeix
		$response["success"] = "2";  
		$response["message"] = "Ja existeix un usuari amb l'e-mail introduït.";		
	}
	
	//Comprova que el resultat de l'operació sigui correcte
	if (isset($result) && $result) {  
		$response["success"] = "1";  
		$response["message"] = "OK";
	} 	
} elseif($mail === 2) { 
	//Resultat: E-mail no vàlid
	$response["message"] = "L'e-mail introduït no té un format correcte.";	
} else {	
	//Resposta: Sol·licitud no realitzada
	$response["message"] = "No s'ha pogut realitzar el registre, revisa els paràmetres introduïts.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>